<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: VrpnObject.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vrpn_object_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">VrpnObject.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vrpn_object_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef VRPNOBJECT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define VRPNOBJECT_H</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vrpn_client_8h.html">VrpnClient.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                <span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                <span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;                <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                <span class="keyword">class </span>DataPlot1D;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        }</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">class </span>VrpnObject_impl;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">class </span>VrpnClient;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_vrpn_object.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html">VrpnObject</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <span class="keyword">friend</span> class ::VrpnObject_impl;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a334e0f4266682bb0f95a81eb1bacca46">VrpnObject</a>(std::string name,</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;             <span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab,<a class="code" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="code" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">GetVrpnClient</a>());</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a334e0f4266682bb0f95a81eb1bacca46">VrpnObject</a>(std::string name, uint8_t <span class="keywordtype">id</span>,</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;             <span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab,<a class="code" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="code" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">GetVrpnClient</a>());</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa">~VrpnObject</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#aa192e539d45cfebdcb258109f9136789">GetLastPacketTime</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a516210bba13f3df87da71dac8a494c20">IsTracked</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> timeout_ms) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f">GetQuaternion</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;quaternion) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c">GetPosition</a>(<a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#aeb2763d80bfa502415a6153fc54ef3dd">Output</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#ae178376649f38cfe726d286bc653909c">State</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#a497f45bf3c808c99df38efedfb1fb29a">xPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819">yPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html#aa913d9d717b7321cf9f4b4fe4ebb6b9c">zPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  <span class="keyword">class </span>VrpnObject_impl *pimpl_;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;};</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="preprocessor">#endif // VRPNOBJECT_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_aa913d9d717b7321cf9f4b4fe4ebb6b9c"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#aa913d9d717b7321cf9f4b4fe4ebb6b9c">flair::sensor::VrpnObject::zPlot</a></div><div class="ttdeci">gui::DataPlot1D * zPlot(void) const </div><div class="ttdoc">z plot </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_aa192e539d45cfebdcb258109f9136789"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#aa192e539d45cfebdcb258109f9136789">flair::sensor::VrpnObject::GetLastPacketTime</a></div><div class="ttdeci">core::Time GetLastPacketTime(void) const </div><div class="ttdoc">Get Last Packet Time. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html">flair::sensor::VrpnObject</a></div><div class="ttdoc">Class for VRPN object. The IODevice is created with the VrpnClient as parent. VrpnClient must be crea...</div><div class="ttdef"><b>Definition:</b> VrpnObject.h:45</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a497f45bf3c808c99df38efedfb1fb29a"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a497f45bf3c808c99df38efedfb1fb29a">flair::sensor::VrpnObject::xPlot</a></div><div class="ttdeci">gui::DataPlot1D * xPlot(void) const </div><div class="ttdoc">x plot </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="_vrpn_client_8h_html"><div class="ttname"><a href="_vrpn_client_8h.html">VrpnClient.h</a></div><div class="ttdoc">Class to connect to a Vrpn server. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a64be708bbe70e22db77a465488e23c7c"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c">flair::sensor::VrpnObject::GetPosition</a></div><div class="ttdeci">void GetPosition(core::Vector3Df &amp;point) const </div><div class="ttdoc">Get Position. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a3ab137dde2f6c3d1d8086dd886e1c539"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539">flair::sensor::VrpnObject::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">Plot tab. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_aeb2763d80bfa502415a6153fc54ef3dd"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#aeb2763d80bfa502415a6153fc54ef3dd">flair::sensor::VrpnObject::Output</a></div><div class="ttdeci">core::Matrix * Output(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a3f763c10994c9105bc24b3ab61f90afa"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa">flair::sensor::VrpnObject::~VrpnObject</a></div><div class="ttdeci">~VrpnObject(void)</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_af6e2b048e6e5c74f03a5bf1d767e5819"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819">flair::sensor::VrpnObject::yPlot</a></div><div class="ttdeci">gui::DataPlot1D * yPlot(void) const </div><div class="ttdoc">y plot </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a516210bba13f3df87da71dac8a494c20"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a516210bba13f3df87da71dac8a494c20">flair::sensor::VrpnObject::IsTracked</a></div><div class="ttdeci">bool IsTracked(unsigned int timeout_ms) const </div><div class="ttdoc">Is object tracked? </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a334e0f4266682bb0f95a81eb1bacca46"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a334e0f4266682bb0f95a81eb1bacca46">flair::sensor::VrpnObject::VrpnObject</a></div><div class="ttdeci">VrpnObject(std::string name, const gui::TabWidget *tab, sensor::VrpnClient *client=GetVrpnClient())</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_ae178376649f38cfe726d286bc653909c"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#ae178376649f38cfe726d286bc653909c">flair::sensor::VrpnObject::State</a></div><div class="ttdeci">core::Matrix * State(void) const </div><div class="ttdoc">State matrix. </div></div>
<div class="ttc" id="namespaceflair_1_1sensor_html_a96c531aa24e6dd95ac9dc400d8e52b2c"><div class="ttname"><a href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">flair::sensor::GetVrpnClient</a></div><div class="ttdeci">VrpnClient * GetVrpnClient(void)</div><div class="ttdoc">get VrpnClient </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html_a2942cbbb898ba9d0d795b97ad3b9825f"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f">flair::sensor::VrpnObject::GetQuaternion</a></div><div class="ttdeci">void GetQuaternion(core::Quaternion &amp;quaternion) const </div><div class="ttdoc">Get Quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_client_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></div><div class="ttdoc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...</div><div class="ttdef"><b>Definition:</b> VrpnClient.h:40</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot1_d.html">flair::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:33</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_vrpn_object_8h.html">VrpnObject.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
